GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::KeyServerImportDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyServerImportDialog:
Collaboration diagram for GpgFrontend::UI::KeyServerImportDialog:

## Public Slots
void | SlotImport (const KeyIdArgsListPtr &keys)
void | SlotImport (const QStringList &keyIds, const QUrl &keyserverUrl)

## Signals
void | SignalKeyImported ()

## Public Member Functions
| KeyServerImportDialog (bool automatic, QWidget *parent)
| Construct a new Key Server Import Dialog object. More...
| KeyServerImportDialog (QWidget *parent)
| Construct a new Key Server Import Dialog object. More...

## Private Slots
void | slot_import ()
void | slot_search_finished ()
void | slot_import_finished (const QString &keyid)
void | slot_search ()
void | slot_save_window_state ()

## Private Member Functions
void | create_keys_table ()
| Create a keys table object. More...
void | set_message (const QString &text, bool error)
| Set the message object. More...
void | import_keys (ByteArrayPtr in_data)
void | set_loading (bool status)
| Set the loading object. More...
QPushButton * | create_button (const QString &text, const char *member)
| Create a button object. More...
QComboBox * | create_comboBox ()
| Create a comboBox object. More...

## Private Attributes
bool | m_automatic_ = false
QLineEdit * | search_line_edit_ {}
QComboBox * | key_server_combo_box_ {}
QProgressBar * | waiting_bar_
QLabel * | search_label_ {}
QLabel * | key_server_label_ {}
QLabel * | message_ {}
QLabel * | icon_ {}
QPushButton * | close_button_ {}
QPushButton * | import_button_ {}
QPushButton * | search_button_ {}
QTableWidget * | keys_table_ {}
QNetworkAccessManager * | network_access_manager_ {}

## Constructor & Destructor Documentation

## ◆ KeyServerImportDialog() [1/2]

GpgFrontend::UI::KeyServerImportDialog::KeyServerImportDialog | ( | bool | automatic,
|  | QWidget * | parent
| ) |  |

Construct a new Key Server Import Dialog object.

Parameters

  automatic |
  parent |

References create_comboBox(), create_keys_table(), GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetUISettings().

## ◆ KeyServerImportDialog() [2/2]

GpgFrontend::UI::KeyServerImportDialog::KeyServerImportDialog | ( | QWidget * | parent | ) |
| explicit

Construct a new Key Server Import Dialog object.

Parameters

  parent |

References create_comboBox().

## Member Function Documentation

## ◆ create_button()

QPushButton* GpgFrontend::UI::KeyServerImportDialog::create_button | ( | const QString & | text,
|  | const char * | member
| ) |  |
| private

Create a button object.

Parameters

  text |
  member |

Returns
  QPushButton*

## ◆ create_comboBox()

QComboBox * GpgFrontend::UI::KeyServerImportDialog::create_comboBox | ( |  | ) |
| private

Create a comboBox object.

Returns
  QComboBox*

References GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetUISettings().

Referenced by KeyServerImportDialog().

## ◆ create_keys_table()

void GpgFrontend::UI::KeyServerImportDialog::create_keys_table | ( |  | ) |
| private

Create a keys table object.

Referenced by KeyServerImportDialog().

## ◆ import_keys()

void GpgFrontend::UI::KeyServerImportDialog::import_keys | ( | ByteArrayPtr | in_data | ) |
| private

Parameters

  in_data |

References GpgFrontend::SingletonFunctionObject< GpgKeyImportExporter >::GetInstance(), and GpgFrontend::GpgKeyImportExporter::ImportKey().

Referenced by slot_import_finished().

## ◆ set_loading()

void GpgFrontend::UI::KeyServerImportDialog::set_loading | ( | bool | status | ) |
| private

Set the loading object.

Parameters

  status |

Referenced by SlotImport().

## ◆ set_message()

void GpgFrontend::UI::KeyServerImportDialog::set_message | ( | const QString & | text,
|  | bool | error
| ) |  |
| private

Set the message object.

Parameters

  text |
  error |

Referenced by slot_import_finished().

## ◆ slot_import_finished

void GpgFrontend::UI::KeyServerImportDialog::slot_import_finished | ( | const QString & | keyid | ) |
| private slot

Parameters

  keyid |

References import_keys(), and set_message().

Referenced by SlotImport().

## ◆ SlotImport [1/2]

void GpgFrontend::UI::KeyServerImportDialog::SlotImport | ( | const KeyIdArgsListPtr & | keys | ) |
| slot

Parameters

  keys |

References GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetUISettings().

## ◆ SlotImport [2/2]

void GpgFrontend::UI::KeyServerImportDialog::SlotImport | ( | const QStringList & | keyIds,
|  | const QUrl & | keyserverUrl
| ) |  |
| slot

Parameters

  keyIds |
  keyserverUrl |

References set_loading(), and slot_import_finished().

The documentation for this class was generated from the following files:

- src/ui/import_export/KeyServerImportDialog.h
- src/ui/import_export/KeyServerImportDialog.cpp